git: c92e6eff6f2c - main - Mk/Scripts: Add quotes to $0 in the stripped() function in qa.sh

From: Yuri Victorovich <yuri_at_FreeBSD.org>
Date: Mon, 05 Jun 2023 15:24:06 UTC
The branch main has been updated by yuri:

URL: https://cgit.FreeBSD.org/ports/commit/?id=c92e6eff6f2c3dcdfb2340f66dd3eb374e28075b

commit c92e6eff6f2c3dcdfb2340f66dd3eb374e28075b
Author:     Yuri Victorovich <yuri@FreeBSD.org>
AuthorDate: 2023-06-05 15:21:32 +0000
Commit:     Yuri Victorovich <yuri@FreeBSD.org>
CommitDate: 2023-06-05 15:24:03 +0000

    Mk/Scripts: Add quotes to $0 in the stripped() function in qa.sh
    
    This is a followup to the previous patch that fixed the bug with
    missing unstripped file suggestions.
    
    PR:             270398
    Suggested by:   mat@
---
 Mk/Scripts/qa.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/Mk/Scripts/qa.sh b/Mk/Scripts/qa.sh
index a65d9475840e..9b5246189d2a 100644
--- a/Mk/Scripts/qa.sh
+++ b/Mk/Scripts/qa.sh
@@ -211,7 +211,7 @@ stripped() {
 	# files with spaces are kept intact.
 	# Using readelf -h ... /ELF Header:/ will match on all ELF files.
 	find ${STAGEDIR} -type f ! -name '*.a' ! -name '*.o' \
-	    -exec sh -c 'readelf -S -- /dev/null $0 "$@" || :' -- {} + 2>/dev/null | awk '
+	    -exec sh -c 'readelf -S -- /dev/null "$0" "$@" || :' -- {} + 2>/dev/null | awk '
 	    /File:/ {sub(/File: /, "", $0); file=$0}
 	    /[[:space:]]\.debug_info[[:space:]]*PROGBITS/ {print file}' |
 	    while read -r f; do